# eric4.QScintilla.Lexers.LexerIDL

Module implementing an IDL lexer with some additional methods.

### Global Attributes

None

### Classes

LexerIDL | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerIDL

Subclass to implement some additional lexer dependant methods.

### Derived from

QsciLexerIDL, Lexer

### Class Attributes

None

### Class Methods

None

### Methods

LexerIDL | Constructor
defaultKeywords | Public method to get the default keywords.
initProperties | Public slot to initialize the properties.
isCommentStyle | Public method to check, if a style is a comment style.
isStringStyle | Public method to check, if a style is a string style.

### Static Methods

None

#### LexerIDL (Constructor)

LexerIDL(parent=None)

Constructor

parent
  parent widget of this lexer

#### LexerIDL.defaultKeywords

defaultKeywords(kwSet)

Public method to get the default keywords.

kwSet
  number of the keyword set (integer)

Returns:
  string giving the keywords (string) or None

#### LexerIDL.initProperties

initProperties()

Public slot to initialize the properties.

#### LexerIDL.isCommentStyle

isCommentStyle(style)

Public method to check, if a style is a comment style.

Returns:
  flag indicating a comment style (boolean)

#### LexerIDL.isStringStyle

isStringStyle(style)

Public method to check, if a style is a string style.

Returns:
  flag indicating a string style (boolean)

Up